%define majver %(echo %version | cut -d. -f1-2)
Name:          grilo
Version:       0.3.15
Release:       1mamba
Summary:       A framework for browsing and searching media content from various sources using a single API
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        https://download.gnome.org/sources/grilo/%{majver}/grilo-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: liboauth-devel
BuildRequires: libsoup-devel
BuildRequires: libtotem-pl-parser-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Grilo is a framework for browsing and searching media content from various sources using a single API.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      grilo-plugins

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/grl-launch-%{majver}
#%{_bindir}/grilo-simple-playlist
%{_bindir}/grilo-test-ui-%{majver}
%{_bindir}/grl-inspect-%{majver}
%{_mandir}/man1/grilo-test-ui-%{majver}.1*
%{_mandir}/man1/grl-inspect-%{majver}.1*
%{_mandir}/man1/grl-launch-%{majver}.1*

%files -n lib%{name}
%defattr(-,root,root)
#%dir %{_libdir}/grilo-%{majver}
%{_libdir}/libgrilo-%{majver}.so.*
%{_libdir}/libgrlnet-%{majver}.so.*
%{_libdir}/libgrlpls-%{majver}.so.*
%{_libdir}/girepository-1.0/Grl-%{majver}.typelib
%{_libdir}/girepository-1.0/GrlNet-%{majver}.typelib
%{_libdir}/girepository-1.0/GrlPls-%{majver}.typelib
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/grilo-%{majver}
%{_includedir}/grilo-%{majver}/*.h
%dir %{_includedir}/grilo-%{majver}/net
%{_includedir}/grilo-%{majver}/net/*.h
%dir %{_includedir}/grilo-%{majver}/pls
%{_includedir}/grilo-%{majver}/pls/grl-pls.h
%{_libdir}/libgrilo-%{majver}.so
%{_libdir}/libgrlnet-%{majver}.so
%{_libdir}/libgrlpls-%{majver}.so
%{_libdir}/pkgconfig/grilo-%{majver}.pc
%{_libdir}/pkgconfig/grilo-net-%{majver}.pc
%{_libdir}/pkgconfig/grilo-pls-%{majver}.pc
%{_datadir}/gir-1.0/Grl-%{majver}.gir
%{_datadir}/gir-1.0/GrlNet-%{majver}.gir
%{_datadir}/gir-1.0/GrlPls-%{majver}.gir
%{_datadir}/vala/vapi/grilo-*.deps
%{_datadir}/vala/vapi/grilo-*.vapi
#%{_datadir}/vala/vapi/grilo-net-*.deps
#%{_datadir}/vala/vapi/grilo-net-*.vapi
#%{_datadir}/vala/vapi/grilo-*
%doc NEWS TODO

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/grilo
%{_datadir}/gtk-doc/html/grilo/*

%changelog
* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 0.3.15-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 0.3.14-1mamba
- automatic version update by autodist

* Thu Sep 03 2020 Automatic Build System <autodist@mambasoft.it> 0.3.13-1mamba
- automatic version update by autodist

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 0.3.12-1mamba
- automatic version update by autodist

* Thu Jan 09 2020 Automatic Build System <autodist@mambasoft.it> 0.3.11-1mamba
- automatic version update by autodist

* Fri Sep 13 2019 Automatic Build System <autodist@mambasoft.it> 0.3.10-1mamba
- automatic version update by autodist

* Sat Jul 20 2019 Automatic Build System <autodist@mambasoft.it> 0.3.9-1mamba
- automatic version update by autodist

* Tue Mar 26 2019 Automatic Build System <autodist@mambasoft.it> 0.3.7-1mamba
- automatic version update by autodist

* Fri Jul 27 2018 Automatic Build System <autodist@mambasoft.it> 0.3.6-1mamba
- automatic version update by autodist

* Wed Jul 18 2018 Automatic Build System <autodist@mambasoft.it> 0.3.5-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 0.3.4-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 0.3.3-1mamba
- automatic version update by autodist

* Sat Sep 10 2016 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Fri Jun 17 2016 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Sun Dec 20 2015 Automatic Build System <autodist@mambasoft.it> 0.2.15-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 0.2.14-1mamba
- automatic version update by autodist

* Tue Apr 14 2015 Automatic Build System <autodist@mambasoft.it> 0.2.12-1mamba
- automatic version update by autodist

* Sun Aug 31 2014 Automatic Build System <autodist@mambasoft.it> 0.2.11-1mamba
- automatic version update by autodist

* Wed Mar 19 2014 Automatic Build System <autodist@mambasoft.it> 0.2.10-1mamba
- automatic version update by autodist

* Tue Feb 18 2014 Automatic Build System <autodist@mambasoft.it> 0.2.9-1mamba
- automatic version update by autodist

* Wed Feb 12 2014 Automatic Build System <autodist@mambasoft.it> 0.2.8-1mamba
- automatic version update by autodist

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic version update by autodist

* Fri May 17 2013 Automatic Build System <autodist@mambasoft.it> 0.2.6-1mamba
- automatic version update by autodist

* Sun Mar 24 2013 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic version update by autodist

* Fri Nov 30 2012 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic version update by autodist

* Mon Nov 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-2mamba
- libgrilo: require grilo-plugins

* Fri Oct 05 2012 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Wed Oct 03 2012 Automatic Build System <autodist@mambasoft.it> 0.2.1-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.20-2mamba
- include plugin directory %{_libdir}/grilo-0.1

* Tue Aug 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.20-1mamba
- package created by autospec

